<template>
    <div class="adminStudent">
        <adminLeft />
        <adminRight />
    </div>
</template>
<script setup>
import { ref, reactive } from 'vue';
import adminRight from './adminRight.vue';
import adminLeft from './adminLeft.vue';
const formInline = reactive({
    user: '',
    region: '',
    date: '',
})
const tableData = [
    {
        id: 0,
        class: "9.2",
        year: "2024",
        peopleNum: 30,
        status: "异常",
        updateDate: "2020-02-03",
    },
    {
        id: 1,
        class: "9.2",
        year: "2024",
        peopleNum: 30,
        status: "异常",
        updateDate: "2020-02-03",
    },
    {
        id: 2,
        class: "9.2",
        year: "2024",
        peopleNum: 30,
        status: "异常",
        updateDate: "2020-02-03",
    },
    {
        id: 3,
        class: "9.2",
        year: "2024",
        peopleNum: 30,
        status: "异常",
        updateDate: "2020-02-03",
    },
    {
        id: 4,
        class: "9.2",
        year: "2024",
        peopleNum: 30,
        status: "异常",
        updateDate: "2020-02-03",
    }
]
const selectNum = ref(0)
const total = ref(5)
const currentPage4 = ref(4)
const pageSize = ref(10)


const onSubmit = e => {
    console.log(e)
}

const handleSelectionChange = (val) => {
    console.log(val)
    selectNum.value = val.length
}
// 详情
const Details = data => {
    console.log(data)
}
// 删除
const deleteList = data => {
    console.log(data)
}
const handleSizeChange = (val) => {
    console.log(`${val} items per page`)
}
const handleCurrentChange = (val) => {
    console.log(`current page: ${val}`)
}
</script>

<style lang="scss" scoped>
.adminStudent {
    display: flex;
    .el-pagination {
        float: right;
        margin-top: 15px;
    }

    iframe {
        width: 100%;
        height: 100%;
    }
}
</style>